Skip to main content
`Ctrl`+`K`

# PetscObjectViewSAWs

View the base portion of any object with an SAWs viewer

## Synopsis

    #include "petscsys.h"
    #include "petscviewersaws.h"
    PetscErrorCode PetscObjectViewSAWs(PetscObject obj, PetscViewer viewer)

Collective

## Input Parameters

- obj - the `PetscObject` variable. It must be cast with a (`PetscObject`), for example, `PetscObjectSetName`((`PetscObject`)mat,name);

- viewer - the SAWs viewer

## Note

The object must have already been named before calling this routine since naming an object can be collective.

## Developer Notes

Currently this is called only on MPI rank 0 of `PETSC_COMM_WORLD`

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscObject`, `PetscObjectSetName()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/ams/amsopen.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages